Subject: Your Platinum VisaCard Offer from Credit-One Bank!!

From: "Credit-One Platinum Visa" <[email-masked]>
Date: Sat, 23 Dec 2017 23:54:05 +0100

Please check that html is turned on to review this message for [email-masked].